// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package base

// HTTPError http请求出错时的数据结构
type HTTPError struct {
	Code    int    `json:"code" example:"500" format:"int"`
	Message string `json:"message" example:"status bad request"`
}

type Header struct {
	AppKey string `header:"appkey"`
}

type Result struct {
	Code    int    `json:"code" default:"0" format:"int"` // 返回码
	Message string `json:"message" default:"success"`     // 消息
}

type Empty struct {
}
